Bug 700875 - Cleanup ds_bring_up_server_install() in dsalib
Summary: Cleanup ds_bring_up_server_install() in dsalib
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Admin
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 434915
TreeView+ depends on / blocked
 
Reported: 2011-04-29 17:22 UTC by Nathan Kinder
Modified: 2015-12-07 16:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:37:24 UTC


Attachments (Terms of Use)
Patch for cov#10778 (3.40 KB, patch)
2011-04-29 17:26 UTC, Nathan Kinder
nhosoi: review+
Details | Diff

Description Nathan Kinder 2011-04-29 17:22:21 UTC
The ds_bring_up_server_install() function looks to have some cut/paste errors in it that throw off the intended logic.

If XP_WIN32 is not defined, the else at line 256 is a part of the if at line 246. If XP_WIN32 is defined, the else at line 256 is a part of the if at line 227, which seems wrong.

It also seems like the if statement at line 227 should be closed out after line 237. The intent looks to be that we want to print the contents of statfile is the verbose option is set. The code beginning at line 239 seems unrelated to the verbose option, as it's setting the status that gets returned.

This could be some sort of copy/paste area wince the if/else block beginning at line 207 seems the same as the if/else block starting at line 239. There is definitely some cleanup to be done here.

Comment 1 Nathan Kinder 2011-04-29 17:26:18 UTC
Created attachment 495819 [details]
Patch for cov#10778

Comment 2 Nathan Kinder 2011-04-29 17:36:31 UTC
Pushed patch to master.  Thanks to Noriko for her review!

Counting objects: 9, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (5/5), done.
Writing objects: 100% (5/5), 944 bytes, done.
Total 5 (delta 3), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/admin.git
   9047b26..cc422c4  master -> master

Comment 5 Rich Megginson 2011-06-06 21:40:31 UTC
coverity is clean - marking verified


Note You need to log in before you can comment on or make changes to this bug.